Pocket

WordPress 2019年1月_脆弱性レポート  2019/2/6

2019年1月度のWordPressに関する脆弱性レポートをお知らせします。

1月度全体の脆弱性報告件数としては26件となっており、2018年12月度から1件増加しております。

個所別レポート

個所別の発生件数は、それぞれ本体が0件、テーマが1件、プラグインが25件でした。

本体に関しまして、今月は脆弱性が発生しませんでした。

テーマに関しましては脆弱性が発生しております。
2018年10月以来の発生となります。

先月に引き続き最多発生はプラグインとなり、脆弱性に気を配る必要があることがわかります。

Chart by Visualizer

トピックス

前述のとおり本体に関しましては、脆弱性が発生しませんでした。

 

 

テーマに関しましては前述のとおり、1件脆弱性が発生しております。

「JobCareer」というテーマから、ユーザー情報の列挙とパスワードの再設定が行える脆弱性が発見されました。

脆弱性はすでにアップデートによって修正済みで、バージョン2.4.1以上への更新によって塞ぐことができます。

 

 

プラグインに関しましては先月から7件増加し、25件の脆弱性が発見されました。そのうち2件の有名プラグインに脆弱性が発見されております。

 

1つ目は、アクティブインストール400万以上、総ダウンロード数6015万以上の人気プラグイン『WooCommerce』にXSSの脆弱性が発生しております。

このプラグインは、WordPress上でショッピングカートを動作させるプラグインです。

お使いの方も多いと思いますので、すぐにバージョンの確認をすることを推奨します。

脆弱性はすでにアップデートによって修正済みで、バージョン3.5.1以上への更新によって塞ぐことができます。
(※2019年2月6日現在の最新版はバージョン3.5.4ですのでこちらの最新版への更新をお勧めします。)

 

2つ目は、アクティブインストール200万以上、総ダウンロード数2413万以上の人気プラグイン『Google XML Sitemaps』にXSSの脆弱性が発生しております。

このプラグインは、XML形式のサイトマップを生成できるプラグインです。

お使いの方は、バージョンの確認をすることを推奨します。

脆弱性はすでにアップデートによって修正済みで、バージョン4.1.0以上への更新によって塞ぐことができます。
(※2019年2月6日現在の最新版もバージョン4.1.0となっております。)

 

その他ご利用中の方が多い以下の人気プラグインにおいて脆弱性が発見されたため、旧バージョンをご利用中の方は最新のプラグインにアップデートされることをお勧めいたします。

  • WP Job ManagerにてOBJECTINJECTION
  • Health Check & TroubleshootingにてTRAVERSALとPRIVESC
  • Event Calendar WDにてXSS
  • Yet Another Stars RatingにてOBJECTINJECTION

内容別レポート

脆弱性の内容別発生件数は、1位がXSSで8件、2位がCSRF、SQLi、UPLOAD、BYPASS、AUTHBYPASS、OBJECTINJECTION、TRAVERSALで2件ずつでした。

Chart by Visualizer

トピックス

12月度と比較してみると、XSSの発生件数は減少しましたが、より多くの種類の脆弱性タイプが発生しました。
先月に引き続き、XSSの脆弱性は発見されやすい傾向にあります。

脆弱性一覧

2019年1月の脆弱性一覧をまとめましたのでご参照ください。

以下リストに掲載されている本体バージョン、テーマ、プラグインがある方は、一度診断されることをお勧めいたします。

脆弱性分類ですが、掲載時点の内容の為、ご確認いただく時点で内容不明の分類が変更されている可能性もございますので、それもKYUBIにて最新の状態をご確認いただくことをお勧めします。

また、ご確認のタイミングによっては新たな脆弱性が発見されている可能性もございますので、こちらもKYUBIにて一度ご診断していただくことをお勧めします。

また、バージョンに関しましては、脆弱性情報が発見されたものを記載しておりますが、そのバージョン未満でも同様の脆弱性が発生している可能性がある為、最新版に更新することをお勧めしております。

但し、最新版でも脆弱性内容が修正されていないプラグインも少なからず存在しておりますので、対策されていないプラグインをご利用の方は、ご利用を控えるか、別の同様のプラグインに変更されることをお勧めします。

表:2019年1月度脆弱性一覧

発見個所 脆弱性分類 脆弱性のある本体・プラグイン・テーマの名称 発見されたVer.
テーマ UNKNOWN JobCareer 2.4
プラグイン BYPASS Total Donations
プラグイン BYPASS Social Network Tabs
プラグイン AUTHBYPASS UserPro 4.9.20
プラグイン AUTHBYPASS UserPro 4.9.27
プラグイン XSS User Registration 1.5.5
プラグイン UPLOAD Audio Record 1.0
プラグイン XSS Multi Step Form 1.2.5
プラグイン TRAVERSAL Download Ad Manager by WD
プラグイン CSRF MapSVG Lite
プラグイン XSS easy-redirect-manager 2.18.18
プラグイン XSS Event Calendar WD 1.1.21
プラグイン CSRF Two Factor Authentication 1.3.12
プラグイン XSS JSmol2WP 1.07
プラグイン SSRF JSmol2WP 1.07
プラグイン SQLI WP AutoSuggest 0.24
プラグイン REDIRECT Wise Chat 2.6.3
プラグイン XSS spam-byebye 2.2.1
プラグイン TRAVERSAL Health Check & Troubleshooting 1.2.3
プラグイン PRIVESC Health Check & Troubleshooting 1.2.3
プラグイン UPLOAD Baggage Freight Shipping Australia 0.1.0
プラグイン OBJECTINJECTION Yet Another Stars Rating 1.8.6
プラグイン OBJECTINJECTION WP Job Manager 1.31.2
プラグイン XSS Google XML Sitemaps 4.0.9
プラグイン SQLI Adicon Server 1.2
プラグイン XSS WooCommerce 3.5.0